<?php

namespace App\Framework\Config\Exceptions;

use App\Framework\Exception\FrameworkException;

class RequiredEnvironmentVariableException extends FrameworkException
{

    /**
     * @param string $key
     */
    public function __construct(string $key)
    {
        parent::__construct("Required environment variable '$key' is not set.");
    }
}
